window.onload = function () {
    document.getElementById('addAuthor').onclick = addAuthor;
    document.getElementById('delAuthor').onclick = removeAuthor;
}

function addAuthor(){
    var authorContainer = document.getElementById('author');
    var idAuthors = authorContainer.getElementsByTagName('div').length + 1;
    //Crée un nouveau div
    var div = document.createElement('div');
    //Ajoute d'un attribut 'class' pour le 'div'
    div.setAttribute('class', 'field');
    //Crée un nouveau label
    var label = createElementAndContent('label', "Nom de l'auteur:");
    //Ajoute d'un attribut 'for' pour le 'label'
    label.setAttribute('for', 'author' + idAuthors);
    //Crée un nouveau champ de saisie
    var input = document.createElement('input');
    //Ajoute les attributs
    input.setAttribute('id', 'author' + idAuthors);
    input.setAttribute('name', 'author' + idAuthors);
    input.setAttribute('type', 'text');
    input.setAttribute('placeholder', "Nom de l'auteur");
    //Ajoute les noeuds au DOM de la page
    div.appendChild(label);
    div.appendChild(input);
    authorContainer.appendChild(div);
}

function removeAuthor(){
    var authorContainer = document.getElementById('author');
    var divAuthors = authorContainer.getElementsByTagName('div');
    if (divAuthors.length > 0) {
        authorContainer.removeChild(divAuthors[divAuthors.length-1]);
    }
}

function createElementAndContent(tagName, content){
    var element = document.createElement(tagName);
    var txt = document.createTextNode(content);
    element.appendChild(txt);
    return element;
}
